// ==UserScript==
// @name     VICE Image Fixer
// @version  1
// @grant    none
// @match    https://www.vice.com/*
// ==/UserScript==

function fixImages() {
  for (let element of document.querySelectorAll('.responsive-image source')) {
    element.srcset = element.srcset.split('?')[0];
  }

  for (let element of document.querySelectorAll('.lazyloader--lowres')) {
    element.style.opacity = 1;
  }

  for (let element of document.querySelectorAll('.lazyloader--lowres img')) {
    element.style.filter = 'none';
  }
}

fixImages();
